<div>
  <h2 id="page-heading" data-cy="ProductHeading">
    <span jhiTranslate="storeApp.product.home.title">Products</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="storeApp.product.home.refreshListLabel">Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-product"
        [routerLink]="['/product/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="storeApp.product.home.createLabel"> Create a new Product </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="products?.length === 0">
    <span jhiTranslate="storeApp.product.home.notFound">No Products found</span>
  </div>

  <div *ngIf="products && products.length > 0">
    <div class="mb-2 d-flex justify-content-end align-items-center">
      <span class="mr-2 col-2">Filter by name</span>
      <input type="search" class="form-control" [(ngModel)]="filter">
      <span class="mx-2 col-1">Sort by</span>
      <div class="btn-group"
           role="group"
           jhiSort
           [(predicate)]="predicate"
           [(ascending)]="ascending"
           (sortChange)="navigateToWithComponentValues()">
        <button type="button" class="btn btn-light" jhiSortBy="name">
      <span class="d-flex">
        <span jhiTranslate="storeApp.product.name">Name</span>&nbsp;
        <fa-icon [icon]="'sort'"></fa-icon>
      </span>
        </button>
        <button type="button" class="btn btn-light" jhiSortBy="price">
      <span class="d-flex">
        <span jhiTranslate="storeApp.product.price">Price</span>&nbsp;
        <fa-icon [icon]="'sort'"></fa-icon>
      </span>
        </button>
        <button type="button" class="btn btn-light" jhiSortBy="size">
      <span class="d-flex">
        <span jhiTranslate="storeApp.product.productSize">Size</span>&nbsp;
        <fa-icon [icon]="'sort'"></fa-icon>
      </span>
        </button>
        <button type="button"
                class="btn btn-light"
                jhiSortBy="productCategory.name">
      <span class="d-flex">
        <span jhiTranslate="storeApp.product.productCategory">Product Category</span>&nbsp;
        <fa-icon [icon]="'sort'"></fa-icon>
      </span>
        </button>
      </div>
    </div>
    <div class="list-group">
      <a class="list-group-item list-group-item-action flex-column align-items-start"
         *ngFor="let product of products; trackedBy: trackId">
        <div class="row">
          <div class="col-2 col-xs-12 justify-content-center">
            <img [src]="'data:' + product.imageContentType + ';base64,' + product.image"
                 style="max-height:150px;"
                 alt="product image"/>
          </div>
          <div class="col col-xs-12">
            <div class="d-flex w-100 justify-content-between">
              <a [routerLink]="['/product', product.id, 'view']">
                <h5 class="mb-1">{{ product.name }}</h5>
              </a>
              <small *ngIf="product.productCategory">
                <a [routerLink]="['/product-category', product.productCategory.id, 'view']">
                  {{ product.productCategory.name }}
                </a>
              </small>
            </div>
            <small class="mb-1">{{ product.description }}</small>
            <p class="mb-1">{{ product.price | currency: 'USD' }}</p>
            <small>
              Size:
              <span jhiTranslate="{{ 'storeApp.Size.' + product.productSize }}">
                {{ product.productSize }}
              </span>
            </small>
            <div *jhiHasAnyAuthority="'ROLE_ADMIN'">
              <button
                type="submit"
                [routerLink]="['/product', product.id, 'edit']"
                class="btn btn-primary btn-sm"
              >
                <fa-icon [icon]="'pencil-alt'"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>
              <button
                type="submit"
                (click)="delete(product)"
                class="btn btn-danger btn-sm"
              >
                <fa-icon [icon]="'times'"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div *ngIf="products && products.length > 0">
    <div class="d-flex justify-content-center">
      <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [page]="page"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="navigateToPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
